View Issue Details

IDProjectCategoryView StatusLast Update
16979Bug reportsErgonomypublic2021-03-08 12:29
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.25.6 
Summary16979: Email continue not shown clearly after activation
DescriptionWhen click on continue on email : the page are not updated. Then user can think nothing happen
Steps To ReproduceSee screencast
Additional InformationWhen click on continue : same event than get to 0 seconds must happen
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.25.3+201208
I will donate to the project if issue is resolvedNo
Browserfirefox
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 17090 closedgabrieljenik Email continue not shown clearly after activation 

Activities

DenisChenu

DenisChenu

2021-01-15 15:26

developer  

Peek 15-01-2021 15-16.gif (67,917 bytes)   
Peek 15-01-2021 15-16.gif (67,917 bytes)   
cdorin

cdorin

2021-02-03 15:28

manager   ~61896

@gabrieljenik - can you please take a look at the issue in LS4 as well? And have a bug created?
gabrieljenik

gabrieljenik

2021-02-12 16:32

developer   ~62222

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1762
ollehar

ollehar

2021-02-19 15:54

administrator   ~62409

> When click on continue on email

WHERE??? Please be more clear in how to reproduce. :(
DenisChenu

DenisChenu

2021-02-19 16:01

developer   ~62412

screencast …

I don't know how to explain … see screencast …
ollehar

ollehar

2021-02-19 16:02

administrator   ~62414

I don't even know which PART of the software you're in. Which page??
DenisChenu

DenisChenu

2021-02-19 16:05

developer   ~62416

1. Create a survey
2. Activate token
3. Create 1000 dummy token with valid (or invalid) email
4. Click on send invitation
5. Send 50 invitation and click on continue : nothing seems to happen
ollehar

ollehar

2021-02-19 16:05

administrator   ~62418

Great! Thank you.
ollehar

ollehar

2021-02-19 16:26

administrator   ~62422

Not sure I can test this without having a working email server setup?
DenisChenu

DenisChenu

2021-02-20 11:28

developer   ~62425

> Not sure I can test this without having a working email server setup?

Think it can be : jusr return error each time.
ollehar

ollehar

2021-02-22 11:11

administrator   ~62427

Maybe you can test the PR, Denis? You have time?
DenisChenu

DenisChenu

2021-02-22 12:18

developer   ~62429

Done, see screencast.

I hack SendEmailMessage : return always true before anything.
gabrieljenik

gabrieljenik

2021-02-22 12:46

developer   ~62430

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31149
ollehar

ollehar

2021-02-22 12:46

administrator   ~62431

Thanks, Gabriel and Denis!
lime_release_bot

lime_release_bot

2021-03-08 12:29

administrator   ~62877

Fixed in Release 3.25.16+210302

Related Changesets

LimeSurvey: 3.x-LTS 34c3f35d

2021-02-22 12:46:02

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16979: Email continue not shown clearly after activation (#1762) Affected Issues
16979
mod - application/views/admin/token/emailwarning.php Diff File

Issue History

Date Modified Username Field Change
2021-01-15 15:26 DenisChenu New Issue
2021-01-15 15:26 DenisChenu File Added: Peek 15-01-2021 15-16.gif
2021-01-16 09:40 DenisChenu Summary Email continue bnot shown => Email continue not shown clearly after activation
2021-01-28 20:39 cdorin Priority none => normal
2021-01-28 20:39 cdorin Status new => confirmed
2021-02-03 15:28 cdorin Note Added: 61896
2021-02-12 16:32 gabrieljenik Note Added: 62222
2021-02-12 16:33 gabrieljenik Issue cloned: 17090
2021-02-12 16:33 gabrieljenik Relationship added related to 17090
2021-02-19 15:54 ollehar Note Added: 62409
2021-02-19 16:01 DenisChenu Note Added: 62412
2021-02-19 16:02 ollehar Note Added: 62414
2021-02-19 16:05 DenisChenu Note Added: 62416
2021-02-19 16:05 ollehar Note Added: 62418
2021-02-19 16:26 ollehar Note Added: 62422
2021-02-20 11:28 DenisChenu Note Added: 62425
2021-02-22 11:11 ollehar Note Added: 62427
2021-02-22 12:10 DenisChenu Assigned To => DenisChenu
2021-02-22 12:10 DenisChenu Status confirmed => assigned
2021-02-22 12:11 DenisChenu Status assigned => testing
2021-02-22 12:18 DenisChenu Note Added: 62429
2021-02-22 12:19 DenisChenu Assigned To DenisChenu => ollehar
2021-02-22 12:46 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 34c3f35d
2021-02-22 12:46 gabrieljenik Note Added: 62430
2021-02-22 12:46 gabrieljenik Assigned To ollehar => gabrieljenik
2021-02-22 12:46 gabrieljenik Resolution open => fixed
2021-02-22 12:46 ollehar Status testing => resolved
2021-02-22 12:46 ollehar Note Added: 62431
2021-03-08 12:29 lime_release_bot Note Added: 62877
2021-03-08 12:29 lime_release_bot Status resolved => closed